> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaero.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create fine-tuning job

> Creates a fine-tuning job which begins the process of creating a new model from a given dataset. The response includes details of the enqueued job, including job status and the name of the fine-tuned model once complete.



## OpenAPI

````yaml /api-reference/openapi.json post /fine_tuning/jobs
openapi: 3.0.0
info:
  title: Vaero API
  version: 1.0.0
  description: API for file uploads to Vaero platform.
servers:
  - url: https://vaeroapi.com/v1
    description: Production server
security: []
paths:
  /fine_tuning/jobs:
    post:
      tags:
        - Fine Tuning
      summary: Create fine-tuning job
      description: >-
        Creates a fine-tuning job which begins the process of creating a new
        model from a given dataset. The response includes details of the
        enqueued job, including job status and the name of the fine-tuned model
        once complete.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - training_files
              properties:
                style_model:
                  type: string
                  description: >-
                    The name of the model to fine-tune for styling. Options:
                    'vaero-2'.
                  example: vaero-2
                  default: vaero-2
                training_files:
                  type: array
                  items:
                    type: string
                  description: Array of IDs of uploaded files to use for training.
                  example:
                    - file-abc123
                    - file-abc124
                suffix:
                  type: string
                  description: >-
                    A string of up to 16 characters that will be added to your
                    fine-tuned model name. For example, a suffix of
                    'custom-name' would produce a model name like
                    'ftm-custom-name-0b5ace7e-ffb2-43cf-8a4d-0af17bc2b1d1'.
                  nullable: true
                  example: custom-name
      responses:
        '200':
          description: A fine-tuning job object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The type of the object, always 'fine_tuning.job'.
                    example: fine_tuning.job
                  id:
                    type: string
                    description: The ID of the fine-tuning job.
                    example: ftjob-abc123
                  style_model:
                    type: string
                    description: The model being fine-tuned.
                    example: vaero-2
                  created_at:
                    type: integer
                    description: The Unix timestamp for when the job was created.
                    example: 1721764800
                  fine_tuned_model:
                    type: string
                    nullable: true
                    description: The name of the fine-tuned model.
                    example: null
                  organization_id:
                    type: string
                    description: The organization ID associated with this fine-tuning job.
                    example: org-123
                  status:
                    type: string
                    description: The current status of the job.
                    example: queued
                  training_files:
                    type: array
                    items:
                      type: string
                    description: Array of file IDs used for training.
                    example:
                      - file-abc123
                      - file-abc124
        '400':
          description: Bad request. Possibly due to invalid input data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message explaining the issue.
                    example: Invalid model name.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````